zipios::InvalidStateException Class Reference

An object member function may throw this exception, if the operation it normally performs is inappropriate or impossible to perform because of the current state of the object. More...

`#include <fcollexceptions.h>`

Inheritance diagram for zipios::InvalidStateException:
[legend]

## Public Member Functions

| InvalidStateException (const string &msg) throw ()
| InvalidStateException (const InvalidStateException &src) throw ()
InvalidStateException & | operator= (const InvalidStateException &src) throw ()
virtual const char * | what () const throw ()

## Detailed Description

An object member function may throw this exception, if the operation it normally performs is inappropriate or impossible to perform because of the current state of the object.

Definition at line 47 of file fcollexceptions.h.

## Constructor & Destructor Documentation

## InvalidStateException() [1/3]

zipios::InvalidStateException::InvalidStateException | ( |  | ) |
throw | ( | ) |  |  |

Definition at line 67 of file fcollexceptions.cpp.

## InvalidStateException() [2/3]

zipios::InvalidStateException::InvalidStateException | ( | const string & | msg | ) |
throw | ( | ) |  |  |

explicit

Definition at line 70 of file fcollexceptions.cpp.

## InvalidStateException() [3/3]

zipios::InvalidStateException::InvalidStateException | ( | const InvalidStateException & | src | ) |
throw | ( | ) |  |  |

Definition at line 73 of file fcollexceptions.cpp.

## ~InvalidStateException()

zipios::InvalidStateException::~InvalidStateException | ( |  | ) |
throw | ( | ) |  |  |

virtual

Definition at line 89 of file fcollexceptions.cpp.

## Member Function Documentation

## operator=()

InvalidStateException & zipios::InvalidStateException::operator= | ( | const InvalidStateException & | src | ) |
throw | ( | ) |  |  |

Definition at line 78 of file fcollexceptions.cpp.

## what()

const char * zipios::InvalidStateException::what | ( |  | ) | const
throw | ( | ) |  |  |

virtual

Definition at line 85 of file fcollexceptions.cpp.

The documentation for this class was generated from the following files:

- fcollexceptions.h
- fcollexceptions.cpp